import ctypes
from Grifo_E_1553lib.data_types.waypoint_lat_sel_qual import WaypointLatSelQual
from Grifo_E_1553lib.data_types.waypoint_lon_code import WaypointLonCode
# from .waypoint_lat_sel_qual import WaypointLatSelQual
# from .waypoint_lon_code import WaypointLonCode

class WaypointData(ctypes.Structure):
    _pack_ = 1
    _fields_ = [
        ("waypoint_lat_sel_qual", WaypointLatSelQual),
        ("waypoint_lon_code", WaypointLonCode)
    ]
    
class WaypointDataArray(ctypes.Structure):
    _pack_ = 1
    _fields_ = [("wp", WaypointData )]
    
print(ctypes.sizeof(WaypointLonCode))